cgIsTechniqueValidated(3)

NAME
cgIsTechniqueValidated - indicates whether the technique has passed validation

SYNOPSIS
  #include <Cg/cg.h>
  CGbool cgIsTechniqueValidated( CGtechnique tech );

PARAMETERS

tech
    The technique handle.

RETURN VALUES
Returns CG_TRUE if the technique has previously passes validation via a call to the cgValidateTechnique manpage.

Returns CG_FALSE if validation hasn't been attempted or the technique has failed a validation attempt.

DESCRIPTION
cgIsTechniqueValidated returns CG_TRUE if the technique has previously passes validation via a call to the cgValidateTechnique manpage. CG_FALSE is returned both if validation hasn't been attempted as well as if the technique has failed a validation attempt.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_TECHNIQUE_HANDLE_ERROR is generated if tech is not a valid technique.

HISTORY
cgIsTechniqueValidated was introduced in Cg 1.4.

SEE ALSO
the cgValidateTechnique manpage, the CallStateValidateCallback manpage